## cascading.operation
Interface Filter<Context>

All Superinterfaces:
  DeclaresResults, Operation<Context>

All Known Implementing Classes:
  And, Counter, Debug, ExpressionFilter, FilterNotNull, FilterNull, Limit, Logic, Not, Or, RegexFilter, Sample, ScriptFilter, Status, Unique.FilterPartialDuplicates, Xor

    public interface Filter<Context>

extends Operation<Context>

Interface Filter marks a given `Operation` as a filter, as opposed to being a `Function`.

A Filter is responsible for testing a Tuple to see if it should be removed from the tuple stream.

To implement a Filter, (optionally) sub-class `BaseOperation` and have the new sub-class `implement` this interface.

Field Summary

Fields inherited from interface cascading.operation.Operation
`ANY`

Method Summary
`boolean` `isRemove(FlowProcess flowProcess, FilterCall<Context> filterCall)` Method isRemove returns true if input should be removed from the tuple stream.

Methods inherited from interface cascading.operation.Operation
`cleanup, flush, getFieldDeclaration, getNumArgs, isSafe, prepare`

Method Detail

### isRemove

    boolean isRemove(FlowProcess flowProcess,
                     FilterCall<Context> filterCall)

  Method isRemove returns true if input should be removed from the tuple stream.

  Parameters:
    `flowProcess` - of type FlowProcess
    `filterCall` - of type FilterCall
  Returns:
    boolean

Copyright © 2007-2014 Concurrent, Inc. All Rights Reserved.